This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 902561 - build fails with tcl 8.6: error: ‘Tcl_Interp’ has no member named ‘result’
build fails with tcl 8.6: error: ‘Tcl_Interp’ has no member named ‘result’
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: newt (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-21 18:51 EST by redhat
Modified: 2014-05-27 04:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 11:44:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description redhat 2013-01-21 18:51:43 EST
Description of problem:
Building newt 0.52.14 fails with tcl 8.6.0 with the message "error: ‘Tcl_Interp’ has no member named ‘result’" and other similar errors.

Version-Release number of selected component (if applicable):
0.52.14

How reproducible:
Always

Steps to Reproduce:
1. Install Tcl 8.6
2. Try to build newt 0.52.14 against Tcl 8.6
  
Actual results:
error: ‘Tcl_Interp’ has no member named ‘result’

Expected results:
Successful build.

Additional info:
Workaround: add "-DUSE_INTERP_RESULT" to CPPFLAGS.

Solution: stop using fields inside Tcl_Interp; they are deprecated and the above workaround will be removed in a future version of Tcl.

MacPorts bug report: https://trac.macports.org/ticket/37725

Your issue tracker required me to fill in the Version field, so I left it at its default, although I have no idea what version of Redhat Linux, if any, contains this version of newt; I do not use Redhat Linux.
Comment 1 Miroslav Lichvar 2013-03-20 11:44:57 EDT
Thanks for the report.

In git, the CPPFLAGS now have -DUSE_INTERP_RESULT when building with tcl support. Patches removing the use of the result field are welcome.

Note You need to log in before you can comment on or make changes to this bug.